package top.r3944realms.eroticdungeongame.content.animation;

import net.minecraftforge.api.distmarker.Dist;
import net.minecraftforge.api.distmarker.OnlyIn;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

@OnlyIn(Dist.CLIENT)
public enum ClientAnimationHandler implements IAnimationHandler {
    INSTANCE;
    public static final Logger LOGGER = LoggerFactory.getLogger(ClientAnimationHandler.class);
    public final Map<Integer, AnimationProperties> SEAT_ANIMATIONS = new HashMap<>();

    @Override
    public void loadAllAnimations() {
        loadSeatAnimations();
    }

    private void loadSeatAnimations() {

    }
}
